// This file may be redistributed and modified only under the terms of
// the GNU General Public License (See COPYING for details).
// Copyright (C) 2005 - 2006 Simon Goodall

package WFUT;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * This class is used to handle internationalisation for the GUI components
 * of WFUT. 
 */
public class Bundle {
  private ResourceBundle m_bundle = null;
  private static Bundle m_instance = new Bundle();

  private Bundle() {
    // Load properties file
    try {
      m_bundle = ResourceBundle.getBundle("WFUT/WFUT");
    } catch (MissingResourceException mre) {
      System.err.println(mre);
    }
  }

  public static String getString(final String key) {
    if (m_instance.m_bundle == null) return "Missing Bundle";
    try {
      return m_instance.m_bundle.getString(key);
    } catch (MissingResourceException mre) {
      return "Missing Bundle Entry";
    }
  }

}

